# HTWKalender

Scrape information about Seminar Groups and dates.

### Run Development Instance with

```bash
docker compose up --build 
```

### Go to Admin UI

➜ Webinterface: http://127.0.0.1/

➜ Admin UI: http://127.0.0.1/_/

➜ API: http://127.0.0.1/api/

For first login use the following credentials:

Email: 
```
demo@htwkalender.de
```

Password:
```
htwkalender-demo
```




### Fetch Data from HTWK

Execute the following api calls to fetch data manually from HTWK and store it in the database:

The first command will fetch all groups and store them in the database.
This should be done quick in a few seconds (0-5s).
When you execute the command again, it will update the groups in the 
database and only return new added groups.

http://127.0.0.1/api/fetchGroups

For fetching the plans, you can use the following command.
This will fetch all plans for all groups and store the events in the database.
It's done for all current existing events (ws/ss).
The whole process takes a while (1-5min), depending on the amount of groups and events.
Stay for this time on the page and wait for the response.

http://127.0.0.1/api/fetchPlans


### View/Filter/Search in Admin UI

If you want some easy first api endpoints and data views, you can use the Admin UI.
